Lingxing
切换旧版

查询TikTok在线商品

POST/basicOpen/multiplatform/tiktok/list

接口信息

API Path请求协议请求方式令牌桶容量
/basicOpen/multiplatform/tiktok/listHTTPSPOST1

请求参数

principalUidsarray<any>
负责人用户ID列表
brandIdsarray<any>
品牌id列表
categoryIdsarray<any>
分类id列表
offsetinteger
分页偏移量
lengthinteger
分页长度,上限1000
pairingStatusinteger
配对状态
searchFieldstring
搜索维度
1、标题
2、品名
5、平台SPU
7、MSKU ID
8、SKU
9、MSKU
10、SPU货号
platformStatusarray<any>
状态
DRAFT
PENDING
FAILED
ACTIVATE
SELLER_DEACTIVATED
PLATFORM_DEACTIVATED
FREEZE
DELETED
storeIdsarray<any>
店铺id列表
searchSingleValuestring
搜索值
searchValuesarray<any>
搜索值列表

请求cURL示例

curl --location 'https://openapi.lingxing.com/basicOpen/multiplatform/tiktok/list?access_token=value&sign=value&timestamp=value&app_key=value' \
--header 'Content-Type: application/json' \
--data '{
    "principalUids": [10001,10002],
    "brandIds": [value],
    "categoryIds": [value],
    "offset": value,
    "length": value,
    "pairingStatus": value,
    "searchField": "value",
    "platformStatus": ["value"],
    "storeIds": ["value"],
    "searchSingleValue": "value",
    "searchValues": ["value"],
    "req_time_sequence": "value"
}'

返回结果

Json Object

codeinteger必填
状态码,0:成功
示例 0
messagestring必填
消息提示
示例 success
error_detailsarray<any>必填
数据校验失败时的错误详情
request_idstring必填
请求链路id
response_timestring必填
响应时间
示例 2024-09-12 09:18:59
dataobject必填
响应数据
隐藏子属性
countinteger必填
总数
示例 2
listarray<object>必填
隐藏子属性
idstring必填
id
示例 16
productUniqueIdstring必填
商品uid
示例 901467036615189504
principalUidsarray<any>必填
负责人uid列表
principalNamestring必填
负责人名称
companyIdstring必填
企业id
示例 901157321452879872
storeIdstring必填
店铺id
示例 110458505618526720
storeNamestring必填
店铺名称
示例 美国平台物流
platformCodestring必填
平台代码
示例 10011
mskuIdstring必填
MSKU ID
示例 1729498834797957654
mskustring必填
MSKU
示例 SUTOWL-1
pnamestring必填
品名
示例 wjc13_pm
skustring必填
SKU
示例 wjc13_sku
pidstring必填
本地商品id
示例 5763
titlestring必填
标题
cidstring必填
分类id
示例 13
bidstring必填
品牌id
示例 9
notesstring必填
备注
imgUrlstring必填
图片链接(原质量)
spustring必填
SPU
spuIdstring必填
SPU ID
示例 1729498831843791382
platformStatusstring必填
状态
示例 ACTIVATE
categoryNamestring必填
分类名称
示例 Bathroom Tumblers
usableInventoryinteger必填
可用库存
示例 684
waitOutboundQuantityinteger必填
待出库库存
示例 0
siteCodestring必填
站点代码
taxExclusivePricenumber必填
税前价格
示例 20
salesPricestring必填
售价
示例 20.00
currencystring必填
货币单位
示例 $
bnamestring必填
品牌名称
示例 品牌9
cnamestring必填
叶子类目
示例 分类13
totalinteger必填
示例 0

返回成功示例

{
    "code": 0,
    "message": "success",
    "error_details": [],
    "request_id": "a0d54debf93140f3b58d1ed81e8e3583.142.17261283521902653",
    "response_time": "2024-09-12 16:05:56",
    "data": {
        "count": 1,
        "list": [
            {
                "id": "6",
                "productUniqueId": "9014578083787
                    "10329319"
                ],
                "principalName": "丁",
                "companyId": "901157321452879872",
                "storeId": "110427040906481664",
                "storeName": "tiktok沙盒店铺",
                "platformCode": "10011",
                "mskuId": "10002",
                "msku": "test1-sku-name2",
                "pname": "ueeshop1111",
                "sku": "ueeshop1111",
                "pid": "5793",
                "title": "",
                "cid": "8",
                "bid": "8",
                "notes": "",
                "imgUrl": "",
                "spu": "172959296971062701",
                "spuId": "1729592969712207008",
                "platformStatus": "SELLERDEACTIVATED",
                "categoryName": "test1-Botol & Stoples Penyimpanan",
                "usableInventory": 101,
                "waitOutboundQuantity": 10,
                "siteCode": "US,UK",
                "taxExclusivePrice": null,
                "salesPrice": "117.50",
                "currency": "$",
                "bname": "品牌8",
                "cname": "分类8"
            }
        ]
    },
    "total": 0
}